---
"@context": https://schema.org
"@type": TechArticle
"@id": https://www.twilio.com/docs/api/intelligence/configurations#article
headline: Configurations endpoints
description: Overview of Intelligence API (v3) - Configurations endpoints
url: https://www.twilio.com/docs/api/intelligence/configurations
inLanguage: en
author:
  "@type": Organization
  name: Twilio Developer Education Team
publisher:
  "@type": Organization
  name: Twilio
---

# Configurations endpoints

> \[!NOTE]
>
> Conversation Intelligence, including the APIs, may use artificial intelligence or machine learning technologies and is subject to the terms of the [Predictive and Generative AI/ML Features Addendum](https://www.twilio.com/en-us/legal/ai-terms/predictive-generative-ai-features). For more details on AI usage and data, see [AI Nutrition Facts for Conversation Intelligence](/docs/conversations/intelligence/ai-nutrition-facts).
>
> Conversation Intelligence is not PCI compliant or a HIPAA Eligible Service and should not be used in workflows that are subject to HIPAA or PCI.
>
> Conversations products are only available in the [new Twilio Console](https://1console.twilio.com). If your account hasn't been migrated, you'll be redirected to the legacy Console where these products won't appear.

## Overview

Define and manage intelligence configuration. The Configurations resource defines how and when
language operators execute on conversations via rules that encapsulate triggers, context, and actions.

An intelligence configuration is a container for one or more rules. Each rule specifies:

* Which language operators to execute
* Which conversation lifecycle event triggers the rule
* Which contextual data language operators can access at runtime
* Which action to take on the results

Configurations are evaluated automatically as conversation activity occurs, providing consistent,
reusable intelligence logic across channels and over time.

## Endpoints

* [`POST /v3/ControlPlane/Configurations`](/docs/api/intelligence/configurations/create-configuration) - Create an Intelligence Configuration
* [`GET /v3/ControlPlane/Configurations`](/docs/api/intelligence/configurations/list-configurations) - Retrieve a list of Intelligence Configurations
* [`GET /v3/ControlPlane/Configurations/{id}`](/docs/api/intelligence/configurations/fetch-configuration) - Retrieve an Intelligence Configuration
* [`PUT /v3/ControlPlane/Configurations/{id}`](/docs/api/intelligence/configurations/update-configuration) - Update an Intelligence Configuration
* [`DELETE /v3/ControlPlane/Configurations/{id}`](/docs/api/intelligence/configurations/delete-configuration) - Delete an Intelligence Configuration
